+3 votes
11 views

MacOS Big Sur System Requirements: Which Mac and MacBooks are compatible with macOS 11?


ago in Mac by (274k points) | 11 views

1 Answer

+4 votes
Best answer

MacOS Big Sur (11) from Apple has been announced and detailed , and it will enter its beta version very soon. It is the newest version of macOS, the operating system that powers the Mac.

The system requirements for this have increased somewhat in updates in recent years. Catalina and Mojave arrived after some support for some older Macs. Mojave was compatible with Apple computers manufactured from 2012, while Catalina was compatible with Mac manufactured from 2012. That carried over to models in much of 2013 for Big Sur.

Going back further to 2017, High Sierra ran on many older machines, even since 2009.

Which Mac can run macOS 11 Big Sur?

  • MacBook (2015 or newer)
  • MacBook Air (2013 or newer)
  • MacBook Pro (late 2013 or newer)
  • Mac mini (2014 or newer)
  • iMac (2014 or newer)
  • iMac Pro (from 2017)
  • Mac Pro (2013 or newer)

Compatibility requirements have increased a year or so, model-wise, from the Catalina update, with the MacBook Air and MacBook Pro models, in particular, jumping from 2012 to 2013.

Of course, Apple cannot support its hardware forever. Some new features need better processors to work and the older a machine is, the less powerful it tends to be.


ago by (274k points)

Related questions

+3 votes
1 answer
asked 6 days ago in Mac by backtothefuture (274k points) | 11 views
+4 votes
1 answer
asked Oct 31, 2019 in Mac by backtothefuture (274k points) | 23 views
+4 votes
1 answer
asked Oct 22, 2019 in Mac by backtothefuture (274k points) | 15 views
+3 votes
1 answer
asked Oct 30, 2019 in Mac by backtothefuture (274k points) | 14 views
+3 votes
1 answer
asked Oct 7, 2019 in Mac by backtothefuture (274k points) | 20 views
Please leave a comment about whether the solution works or not (with device model)   [X]Close
5,206 questions
5,296 answers
106 comments
2 users